using System;
using System.Text.Json.Serialization;
namespace org.accordproject.cicero.contract {
   using concerto;
   class AccordContractState : Asset {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.cicero.contract.AccordContractState";
      public string stateId { get; set; }
   }
   class AccordParty : Participant {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.cicero.contract.AccordParty";
      public string partyId { get; set; }
   }
   abstract class AccordContract : Asset {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.cicero.contract.AccordContract";
      public string contractId { get; set; }
      public AccordParty[] parties { get; set; }
   }
   abstract class AccordClause : Asset {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.cicero.contract.AccordClause";
      public string clauseId { get; set; }
   }
}
